Bug 1178672 - [abrt] freecad: DraftSnap.py:580:snapToPolar:AttributeError: 'module' object has no attribute 'OCCError'
Summary: [abrt] freecad: DraftSnap.py:580:snapToPolar:AttributeError: 'module' object ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freecad
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:11fc713de47436ad45fedb0e436...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-05 09:47 UTC by mauropegolo
Modified: 2019-01-09 12:54 UTC (History)
3 users (show)

Fixed In Version: smesh-6.5.3.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-04 08:02:23 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.42 KB, text/plain)
2015-01-05 09:47 UTC, mauropegolo
no flags Details
File: environ (3.14 KB, text/plain)
2015-01-05 09:47 UTC, mauropegolo
no flags Details


Links
System ID Private Priority Status Summary Last Updated
FreeCAD 1894 0 None None None Never

Description mauropegolo 2015-01-05 09:47:26 UTC
Description of problem:
was drawing!!

Version-Release number of selected component:
freecad-0.14-4.fc20

Additional info:
reporter:       libreport-2.2.3
cmdline:        /usr/bin/FreeCAD
executable:     /usr/bin/FreeCAD
kernel:         3.17.7-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1001

Truncated backtrace:
DraftSnap.py:580:snapToPolar:AttributeError: 'module' object has no attribute 'OCCError'

Traceback (most recent call last):
  File "/usr/lib64/freecad/Mod/Draft/DraftTools.py", line 491, in action
    self.point,ctrlPoint,info = getPoint(self,arg)
  File "/usr/lib64/freecad/Mod/Draft/DraftTools.py", line 131, in getPoint
    point = FreeCADGui.Snapper.snap(args["Position"],lastpoint=last,active=amod,constrain=cmod,noTracker=noTracker)
  File "/usr/lib64/freecad/Mod/Draft/DraftSnap.py", line 214, in snap
    point,eline = self.snapToPolar(point,lastpoint)
  File "/usr/lib64/freecad/Mod/Draft/DraftSnap.py", line 580, in snapToPolar
    except Part.OCCError:
AttributeError: 'module' object has no attribute 'OCCError'

Local variables in innermost frame:
a: 45
last: Vector (1.5585691937355612e+16, 15.703227819857185, 0.0)
point: Vector (1.5585691937355612e+16, 15.735724272188728, 0.0)
self: <DraftSnap.Snapper instance at 0x27454d0>
vecs: [Vector (1.0, 6.123233995736766e-17, 0.0), Vector (-1.0, -6.123233995736766e-17, -0.0), Vector (0.0, 1.0, 0.0), Vector (-0.0, -1.0, -0.0), Vector (0.7071067811865476, 0.7071067811865475, 0.0), Vector (-0.7071067811865476, -0.7071067811865475, -0.0), Vector (-0.7071067811865475, 0.7071067811865476, 0.0), Vector (0.7071067811865475, -0.7071067811865476, -0.0)]
v: Vector (1.0, 6.123233995736766e-17, 0.0)
ax: [Vector (1.0, 6.123233995736766e-17, 0.0), Vector (0.0, 1.0, 0.0), Vector (0.0, 0.0, 1.0)]

Comment 1 mauropegolo 2015-01-05 09:47:28 UTC
Created attachment 976303 [details]
File: backtrace

Comment 2 mauropegolo 2015-01-05 09:47:30 UTC
Created attachment 976304 [details]
File: environ

Comment 3 Fedora Update System 2015-01-09 16:56:15 UTC
freecad-0.14-5.fc20,smesh-6.5.3.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/freecad-0.14-5.fc20,smesh-6.5.3.1-1.fc20

Comment 4 Fedora Update System 2015-01-09 16:56:22 UTC
freecad-0.14-5.fc21,smesh-6.5.3.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/freecad-0.14-5.fc21,smesh-6.5.3.1-1.fc21

Comment 5 Fedora Update System 2015-01-10 02:58:32 UTC
Package freecad-0.14-5.fc20, smesh-6.5.3.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing freecad-0.14-5.fc20 smesh-6.5.3.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0487/freecad-0.14-5.fc20,smesh-6.5.3.1-1.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-02-04 08:02:23 UTC
freecad-0.14-5.fc21, smesh-6.5.3.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-02-15 02:59:35 UTC
smesh-6.5.3.1-1.fc20, freecad-0.14-5.fc20.1 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.